Bug 36299 - ip-masq-vpn patch missing from errata 2.2.19 kernel
ip-masq-vpn patch missing from errata 2.2.19 kernel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 12:59 EDT by giulioo
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 14:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giulioo 2001-04-17 12:59:07 EDT
All previous rh70 kernels included the ip-masq-vpn patch:
2.2.16-22 with a glitch
2.2.17-14 with the glitch solved

The latest errata 2.2.19 kernel lacks the patch.
Why?
Comment 1 giulioo 2001-04-17 13:57:11 EDT
Some weird things:

1)
look at kernel-2.2.19-i686.config (or the others too), it contains
CONFIG_IP_MASQUERADE_PPTP=m

2)
rpm -bp SPECS/kernel-2.2.spec
cp SOURCES/kernel-2.2.19-i686.config BUILD/linux/.config
cd BUILD/linux
make menuconfig -> then just exit and save
diff ../../SOURCES/kernel-2.2.19-i686.config  .config

PPTP is taken out, and there are a lot of other differences, why?
Which is the correct config file used by the src.rpm? You intentionally use 
oldconfig_nonint to do a brute force oldconfig for this reason?

Comment 2 Arjan van de Ven 2001-04-17 14:05:34 EDT
Our config files often have options for which the patch is not always applied
(eg even if there is no ext3 patch in the 2.2.19 kernel, the ext3 option might
be there).

> You intentionally use 
> oldconfig_nonint to do a brute force oldconfig for this reason?
No. oldconfig_nonint is there to gather all "missing" options and print them out
in a list and then bail out. It's much more efficient for us to do that during
development than to wait an hour for every missing option (when upgrading a
kernel).
Comment 3 Arjan van de Ven 2001-04-30 08:25:15 EDT
Patch is added for the next build, for if/when we decide to make a
new erratum kernel available.

Note You need to log in before you can comment on or make changes to this bug.